Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.conversation
Interface MessageSystemAdapter

All Known Implementing Classes:
  AblePlatformMessageSystemAdapter

public interface MessageSystemAdapter

The MessageSystemAdapter interface represents the connection between an agent's conversation management system and its messaging system.

MessageSystemAdapters are the point of contact of the ConversationManager and the Conversations, on the one hand, with whatever it is that sends messages, on the other.

Each MessageSystemAdapter method has, as its first parameter, the Conversation that invoked the method. Therefore a single MessageSystemAdapter may be used for a single Conversation, or may be shared across multiple Conversations.

Method Summary
`MessageHandle` | `createMessage()` Creates and returns an instance of a message of the type that can be delivered by this MessageSystemAdapter.
`void` | `sendMessage(Conversation conv, MessageHandle mh)` Undertakes to deliver the given message.

Method Detail

### createMessage

    public MessageHandle createMessage()

  Creates and returns an instance of a message of the type that can be delivered by this MessageSystemAdapter. The message's contents are not filled in.

  Returns:
    A MessageHandle contaioning the newly created message.

### sendMessage

    public void sendMessage(Conversation conv,
                            MessageHandle mh)

  Undertakes to deliver the given message.

  Parameters:
    `conv` - The Conversation associated with this message.
    `mh` - The message to be delivered.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005